import { Scale } from './Scale';
import { ColorScaleModel } from './ColorScaleModel';
export declare class ColorScale extends Scale {
    render(): void;
    create_d3_scale(): void;
    create_event_listeners(): void;
    update_extrapolation(): void;
    set_range(): void;
    model: ColorScaleModel;
}
